if (hitBlock != null) {time.sleep(0.05); var blockID = world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z);
var blockMD = world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z);

if ((blockID == 2 || blockID == 82 || blockID == 12 || blockID == 87 || blockID == 48 || blockID == 79 || blockID == 13) 
&& world.getBlockID(hitBlock.x,hitBlock.y+1,hitBlock.z) == 0) 
{for (var i = 0; superGarden [i] != undefined && superGarden [i] [0] != false; i++) {}
if (superGarden [i] == undefined) {superGarden [i] = [false, 0, 0, 0, 0, 0, 0, ""];}
superGarden [i] [0] = true; superGarden [i] [1] = [hitBlock.x,hitBlock.y+1,hitBlock.z]; superGarden [i] [2] = 0; 
superGarden [i] [3] = 0; superGarden [i] [4] = 0; superGarden [i] [5] = 208; superGarden [i] [7] = "Flower spore";
fireWorks = i; world.setBlockIDAndMetadata(hitBlock.x,hitBlock.y+1,hitBlock.z,208,2); 
pinv = player.getInventory(); pinv.consumeItem(2020); gardening_xp += 1;}}